Index: mscore/awl/denomspinbox.cpp
===================================================================
--- mscore/awl/denomspinbox.cpp	(リビジョン 4003)
+++ mscore/awl/denomspinbox.cpp	(作業コピー)
@@ -20,6 +20,10 @@
 
 #include "denomspinbox.h"
 
+#ifndef __GLIBC__
+#define log2(x) (log((x))/log(2.0))
+#endif /* __GLIBC__ */
+
 namespace Awl {
 
 //---------------------------------------------------------
Index: mscore/mscore/measure.cpp
===================================================================
--- mscore/mscore/measure.cpp	(リビジョン 4003)
+++ mscore/mscore/measure.cpp	(作業コピー)
@@ -77,6 +77,10 @@
 #include "spacer.h"
 #include "duration.h"
 
+#ifndef __GLIBC__
+#define log2(x) (log((x))/log(2.0))
+#endif /* __GLIBC__ */
+
 //---------------------------------------------------------
 //   MStaff
 //---------------------------------------------------------
Index: mscore/mscore/CMakeLists.txt
===================================================================
--- mscore/mscore/CMakeLists.txt	(リビジョン 4003)
+++ mscore/mscore/CMakeLists.txt	(作業コピー)
@@ -358,7 +358,9 @@
       ${ui_headers}
       genft.cpp
       )
-   target_link_libraries(genft al ${QT_LIBRARIES} -lfreetype )
+   find_package(Freetype REQUIRED)
+   include_directories(${FREETYPE_INCLUDE_DIRS})
+   target_link_libraries(genft al ${QT_LIBRARIES} ${FREETYPE_LIBRARY})
    set_target_properties(genft
       PROPERTIES COMPILE_FLAGS "-include ${PROJECT_BINARY_DIR}/all.h -I/usr/include/freetype2"
       )
Index: mscore/CMakeLists.txt
===================================================================
--- mscore/CMakeLists.txt	(リビジョン 4003)
+++ mscore/CMakeLists.txt	(作業コピー)
@@ -137,11 +137,11 @@
 ## alsa >= 1.0.0
 ##
 
-if (APPLE OR MINGW)
-	message("Disabling ALSA support due to OS X or MINGW build.")
+if (APPLE OR MINGW OR NOT Linux)
+	message("Disabling ALSA support due to OS X, MINGW or other non-Linux build.")
       set (USE_ALSA 0)
       set (HAS_MIDI 1)
-else (APPLE OR MINGW)
+else (APPLE OR MINGW OR NOT Linux)
       PKGCONFIG (alsa 1.0.0 ALSA_INCDIR ALSA_LIBDIR ALSA_LIB ALSA_CPP )
       if (NOT ALSA_INCDIR)
             message(FATAL_ERROR "Fatal error: ALSA >= 1.0.0 required")
@@ -150,7 +150,7 @@
             set (USE_ALSA 1)
             set (HAS_MIDI 1)
       endif (NOT ALSA_INCDIR)
-endif (APPLE OR MINGW)
+endif (APPLE OR MINGW OR NOT Linux)
 
 
 ##
@@ -345,13 +345,13 @@
 
 add_custom_target(lupdate
    COMMAND ${PROJECT_SOURCE_DIR}/gen-qt-projectfile ${PROJECT_SOURCE_DIR} > mscore.pro
-   COMMAND lupdate -noobsolete ${PROJECT_BINARY_DIR}/mscore.pro
+   COMMAND ${QT_LUPDATE_EXECUTABLE} -noobsolete ${PROJECT_BINARY_DIR}/mscore.pro
    WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
    )
 
 add_custom_target(lrelease
    COMMAND ${PROJECT_SOURCE_DIR}/gen-qt-projectfile ${PROJECT_SOURCE_DIR} > mscore.pro
-   COMMAND lrelease ${PROJECT_SOURCE_DIR}/share/locale/*.ts
+   COMMAND ${QT_LRELEASE_EXECUTABLE} ${PROJECT_SOURCE_DIR}/share/locale/*.ts
    WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
    )
 
